unit UFindDialog;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TFindDialog = class(TForm)
    FindText: TEdit;
    Label1: TLabel;
    Bevel1: TBevel;
    reg: TCheckBox;
    Find: TButton;
    Cancel: TButton;
    down: TRadioButton;
    up: TRadioButton;
    all: TRadioButton;
    WholeWord: TCheckBox;
    procedure Execute;
    procedure FindClick(Sender: TObject);
    procedure CancelClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private

  public
    CanFind:boolean;
  end;

var
  FindDialog: TFindDialog;

implementation

uses Main;

{$R *.DFM}
procedure TFindDialog.Execute;
begin
  position:=poMainFormCenter;
  ShowModal
end;

procedure TFindDialog.FindClick(Sender: TObject);
begin
  CanFind:=true;
  Close
end;

procedure TFindDialog.CancelClick(Sender: TObject);
begin
  CanFind:=false;
  Close
end;

procedure TFindDialog.FormKeyPress(Sender: TObject; var Key: Char);
begin
 if key=#13 then FindClick(Sender)
   else
 if key=#27 then CancelClick(Sender)
end;

end.
